import "./tasks/teprof_s3.wdl" as teprof_s3

workflow {{ project_name }} {
    String sample_id
    File bam_file
    File reference_merged_candidates_gtf
    String disk_size


    String teprof_docker
    String teprof_cluster



        call teprof_s3.teprof_s3 as teprof_s3 {
                input:
                sample_id=sample_id,
                bam_file=bam_file,
                reference_merged_candidates_gtf=reference_merged_candidates_gtf,
                disk_size=disk_size,
                docker=teprof_docker,
                cluster=teprof_cluster
        }

}	
